Update check-command (If-Match)
PUT
/api/v1/check-commands/{name}
const url = 'https://example.com/api/v1/check-commands/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"createdAt":"2026-04-15T12:00:00Z","env":true,"id":"example","line":["example"],"name":"example","tenantId":"example","timeout":1,"type":"example","updatedAt":"2026-04-15T12:00:00Z","version":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/check-commands/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "createdAt": "2026-04-15T12:00:00Z", "env": true, "id": "example", "line": [ "example" ], "name": "example", "tenantId": "example", "timeout": 1, "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”name
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
createdAt
required
string format: date-time
env
required
boolean
id
required
string
line
required
Array<string>
name
required
string
tenantId
required
string
timeout
integer
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "env": true, "id": "example", "line": [ "example" ], "name": "example", "tenantId": "example", "timeout": 1, "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1}Responses
Section titled “Responses”OK
Media typeapplication/json
object
createdAt
required
string format: date-time
env
required
boolean
id
required
string
line
required
Array<string>
name
required
string
tenantId
required
string
timeout
integer
type
required
string
updatedAt
required
string format: date-time
version
required
integer
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "env": true, "id": "example", "line": [ "example" ], "name": "example", "tenantId": "example", "timeout": 1, "type": "example", "updatedAt": "2026-04-15T12:00:00Z", "version": 1}default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}